The Swift Package Index logo.Swift Package Index

Track the adoption of Swift 6 strict concurrency checks for data race safety. How many packages are Ready for Swift 6?

Build Information

Failed to build Cartography with Swift 6.0 (beta) for Linux (d0dc3f) on 10 Jul 2024 20:51:16 UTC.

Build Command

bash -c docker run --pull=always --rm -v "checkouts-4606859-1":/host -w "$workDir" registry.gitlab.com/finestructure/spi-images:basic-6.0-latest swift build --triple x86_64-unknown-linux-gnu -Xswiftc -Xfrontend -Xswiftc -stats-output-dir -Xswiftc -Xfrontend -Xswiftc .stats -Xswiftc -strict-concurrency=complete 2>&1

Build Log

========================================
RunAll
========================================
Builder version: 4.46.0
Interrupt handler set up.
========================================
Checkout
========================================
Clone URL: https://github.com/robb/Cartography.git
Reference: master
Initialized empty Git repository in /host/spi-builder-workspace/.git/
hint: Using 'master' as the name for the initial branch. This default branch name
hint: is subject to change. To configure the initial branch name to use in all
hint: of your new repositories, which will suppress this warning, call:
hint:
hint: 	git config --global init.defaultBranch <name>
hint:
hint: Names commonly chosen instead of 'master' are 'main', 'trunk' and
hint: 'development'. The just-created branch can be renamed via this command:
hint:
hint: 	git branch -m <name>
From https://github.com/robb/Cartography
 * branch            master     -> FETCH_HEAD
 * [new branch]      master     -> origin/master
HEAD is now at d0dc3f3 Merge pull request #345 from NachoSoto/master
Cloned https://github.com/robb/Cartography.git
Revision (git rev-parse @):
d0dc3f340dec22c96255ca385ff4b9e45fbe9b8e
SUCCESS checkout https://github.com/robb/Cartography.git at master
========================================
Build
========================================
Selected platform:         linux
Swift version:             6.0
Building package at path:  $workDir
https://github.com/robb/Cartography.git
Running build ...
bash -c docker run --pull=always --rm -v "checkouts-4606859-1":/host -w "$workDir" registry.gitlab.com/finestructure/spi-images:basic-6.0-latest swift build --triple x86_64-unknown-linux-gnu -Xswiftc -Xfrontend -Xswiftc -stats-output-dir -Xswiftc -Xfrontend -Xswiftc .stats -Xswiftc -strict-concurrency=complete 2>&1
basic-6.0-latest: Pulling from finestructure/spi-images
Digest: sha256:939bcf47aaf06a33919ac1ec1df3a4704fc37493bc970719b13df1c85d27e20a
Status: Image is up to date for registry.gitlab.com/finestructure/spi-images:basic-6.0-latest
Building for debugging...
[0/2] Write sources
[1/2] Write swift-version-24593BA9C3E375BF.txt
error: emit-module command failed with exit code 1 (use -v to see invocation)
[3/27] Emitting module Cartography
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[4/30] Compiling Cartography Point.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[5/30] Compiling Cartography Priority.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[6/30] Compiling Cartography Property.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[7/30] Compiling Cartography Size.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[8/30] Compiling Cartography View.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[9/30] Compiling Cartography ViewProxy.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[10/30] Compiling Cartography Align.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[11/30] Compiling Cartography AutoresizingMaskLayoutProxy.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[12/30] Compiling Cartography Coefficients.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[13/30] Compiling Cartography Compound.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[14/30] Compiling Cartography Expression.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[15/30] Compiling Cartography Extensions.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[16/30] Compiling Cartography LayoutGuide.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[17/30] Compiling Cartography LayoutGuideProxy.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[18/30] Compiling Cartography LayoutItem.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[19/30] Compiling Cartography LayoutProxy+TypeErasure.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[20/30] Compiling Cartography LayoutProxy.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[21/30] Compiling Cartography LayoutSupport.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[22/30] Compiling Cartography LayoutSupportProxy.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[23/30] Compiling Cartography Dimension.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[24/30] Compiling Cartography Distribute.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[25/30] Compiling Cartography Edge.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[26/30] Compiling Cartography Edges.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[27/30] Compiling Cartography Constrain.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[28/30] Compiling Cartography Constraint.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[29/30] Compiling Cartography ConstraintGroup.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
[30/30] Compiling Cartography Context.swift
/host/spi-builder-workspace/Cartography/Align.swift:12:8: error: no such module 'AppKit'
 10 | import UIKit
 11 | #else
 12 | import AppKit
    |        `- error: no such module 'AppKit'
 13 | #endif
 14 |
BUILD FAILURE 6.0 linux